Package jakarta.security.auth.message.config

## Interface ClientAuthConfig

- All Superinterfaces:
    `AuthConfig`

      public interface ClientAuthConfig
      extends AuthConfig

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ClientAuthContext` | `getAuthContext​(java.lang.String authContextID, javax.security.auth.Subject clientSubject, java.util.Map properties)` |

    - ### Methods inherited from interface jakarta.security.auth.message.config.AuthConfig

      `getAppContext, getAuthContextID, getMessageLayer, isProtected, refresh`

- - ### Method Detail

    - #### getAuthContext

          ClientAuthContext getAuthContext​(java.lang.String authContextID,
                                           javax.security.auth.Subject clientSubject,
                                           java.util.Map properties)
                                    throws AuthException

      Throws:
        `AuthException`